#
# spec file for package cairo-clock (Version 0.3.4)
#
#

Name:           cairo-clock
Summary:        Cairo-rendered on-screen clock
Version:        0.3.4
Release:        %mkrel 2
License:        GPL-2.0
Group:          Toys
URL:            http://macslow.thepimp.net/projects/cairo-clock
Source0:        %{name}-%{version}.tar.xz
Patch0:         cairo-clock-fix-ldflags.patch
Patch1:         cairo-clock.patch
#---------------------------------------
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glade2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64rsvg2-devel
#---------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
It is an analog clock displaying the system-time. It leverages the
new visual features offered by a compositing manager to produce a
time display with pretty-pixels.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

 sed -ie 's/-Wl, --export-dynamic/-Wl,--export-dynamic/g' src/Makefile*

%build
%configure2_5x

%make

%install
rm -rf %buildroot

%makeinstall

rm -f %{buildroot}%{_libdir}/*.la


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Toys" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}


%clean
rm -rf %{buildroot}

%changelog
* Fri Feb 18 2022 tex - 0.3.4-2pclos2022
- rebuild against updates

* Wed Apr 30 2014 bb <bb> 0.3.4-1pclos2014
- re-import into pclos for pissycat
